# GitMon
Monitor GitHub events and clone repositories to search for secrets, and more.

## Overview
GitMon allows an operator to continually monitor the [GitHub Events API](https://docs.github.com/en/rest/activity/events)
to collect metadata and look for secret leakage.

When certain events such as _CreateEvent_ or _DeleteEvent_ are observed, GitMon
will send the repository URL to a worker that will clone the repository and
search for API keys, passwords, endpoints, and more.

GitMon will also build a table that maps commit email addresses to GitHub usernames.

## Caught Slippin'
![Deleted GitHub token](.img/slippin-ght.png)

![Cloud creds](.img/slippin-db.png)

## Contributors
- agathanonymous
